Skip to main content
GET
Retrieve Allocation Sync Run

Path Parameters

id
integer
required
run_pk
integer
required

Response

200 - application/json
id
integer
required
read-only
allocation
integer
required
read-only
allocation_name
string
required
read-only
period
string
required
read-only
entity
integer
required
read-only
entity_name
string
required
read-only
trigger
enum<string>
required
  • balance_post - Balance Post
  • source_change - Source Change
  • manual - Manual
  • catch_up - Catch Up
Available options:
balance_post,
source_change,
manual,
catch_up
caused_by
integer | null
required
read-only
caused_by_name
string
required
read-only
weights_used
unknown
required
transactions_updated
integer
required
read-only
status
enum<string>
required
  • queued - Queued
  • running - Running
  • done - Done
  • skipped - Skipped
  • failed - Failed
  • cancelled - Cancelled
Available options:
queued,
running,
done,
skipped,
failed,
cancelled
skip_reason
required
  • period_closed - Period Closed
  • entity_inactive - Entity Inactive
  • no_computable_weights - No Computable Weights
Available options:
period_closed,
entity_inactive,
no_computable_weights
error
string | null
required
read-only
started_at
string<date-time> | null
required
read-only
finished_at
string<date-time> | null
required
read-only
journal_entry
integer | null
required
read-only
created_at
string<date-time>
required
read-only